__PCI_HP_REGISTER(9)

NAME
__pci_hp_register - register a hotplug_slot with the PCI hotplug subsystem

SYNOPSIS

int __pci_hp_register(struct hotplug_slot * slot, struct pci_bus * bus, int devnr, const char * name, struct module * owner, const char * mod_name);

ARGUMENTS

slot
    pointer to the struct hotplug_slot to register

bus
    bus this slot is on

devnr
    device number

name
    name registered with kobject core

owner
    caller module owner

mod_name
    caller module name

DESCRIPTION

Registers a hotplug slot with the pci hotplug subsystem, which will allow userspace interaction to the slot.

Returns 0 if successful, anything else for an error.

COPYRIGHT